## dhcpoptinj 0.5.2

=== debian/changelog ===
dhcpoptinj (0.5.2-1) unstable; urgency=medium
  * Initial release. Closes: #923605

 -- Andreas Misje <amisje@gmail.com>  Sun, 07 Apr 2019 00:42:49 +0200
