=== debian/control ===
Source: dhcpoptinj
Maintainer: Andreas Misje <amisje@gmail.com>
Section: net
Priority: optional
Standards-Version: 4.3.0
Homepage: https://github.com/misje/dhcpoptinj
Vcs-Git: https://salsa.debian.org/misje-guest/dhcpoptinj.git
Vcs-Browser: https://salsa.debian.org/misje-guest/dhcpoptinj
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 cmake (>= 3.0.0),
 libnetfilter-queue-dev (>= 1),
 bash-completion

Package: dhcpoptinj
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: DHCP option injector
 dhcpoptinj is a simple utility for injecting DHCP options into DHCP packets.
 It is implemented using netfilter-queue and mangles packets, either by
 inserting new options or replacing existing options.
