## dhcpoptinj 0.5.3

=== debian/changelog ===
dhcpoptinj (0.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112840)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Oct 2025 22:37:09 +0300

dhcpoptinj (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * Do not treat compiler warnings as errors
  * Use latest Debian policy standards version

 -- Andreas Misje <amisje@gmail.com>  Wed, 07 Aug 2019 07:24:10 +0200
