=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Andreas Misje <amisje@gmail.com>
 Section: net
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/misje/dhcpoptinj
 Vcs-Git: https://salsa.debian.org/misje-guest/dhcpoptinj.git
 Vcs-Browser: https://salsa.debian.org/misje-guest/dhcpoptinj
