=== debian/tests/control ===
Tests: verify-version-output
Depends: @
Restrictions: superficial
