=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/dhcpoptinj-$1\.tar\.gz\.asc/ \
  https://github.com/misje/dhcpoptinj/releases/latest .*/(\d\S+)\.tar\.gz
